<back to all web services

GetTranslationReview

The following routes are available for this service:
GET/RestApi/translations/review/{id}
import Foundation
import ServiceStack

public class GetTranslationReview : Codable
{
    public var id:String

    required public init(){}
}

public class TranslationReviewProxy : Codable
{
    public var actualSourceLanguage:String
    public var targetLanguage:String
    public var itemType:String
    public var unitGroups:IList<TranslationUnitGroupProxy>

    required public init(){}
}

public class TranslationUnitGroupProxy : Codable
{
    public var name:String
    public var units:IList<TranslationUnitProxy>

    required public init(){}
}

public class TranslationUnitProxy : Codable
{
    public var propertyName:String
    public var sourceValue:String
    public var targetValue:String

    required public init(){}
}


Swift GetTranslationReview DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/review/{id} HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"ActualSourceLanguage":"String","TargetLanguage":"String","ItemType":"String"}